Package twisted :: Package manhole :: Module service

[show private | hide private]
[frames | no frames]

## Module twisted.manhole.service

Classes
`FakeStdIO` |
`IManholeClient` |
`Perspective` |
`Service` |

Function Summary
| ``runInConsole`(command, console, globalNS, localNS, filename, args, kw)` Run this, directing all output to the specified console.

Function Details

### runInConsole(command, console, globalNS=None, localNS=None, filename=None, args=None, kw=None)

Run this, directing all output to the specified console.

If command is callable, it will be called with the args and keywords provided. Otherwise, command will be compiled and eval'd. (Wouldn't you like a macro?)

Returns the command's return value.

The console is called with a list of (type, message) pairs for display, see `IManholeClient.console`.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:55 2003 | http://epydoc.sf.net